SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

-- --------------------------------------------------------

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_detail`
--
DROP TABLE IF EXISTS `PREFIX_detail`;
CREATE TABLE `PREFIX_detail` (
  `detail_id` bigint(20) NOT NULL,
  `detail_module` varchar(60) DEFAULT 'blog',
  `detail_controll` varchar(60) NOT NULL DEFAULT 'index',
  `detail_name` varchar(250) DEFAULT NULL,
  `detail_slug` varchar(250) DEFAULT NULL,
  `detail_cover` varchar(255) DEFAULT NULL,
  `detail_slide` varchar(255) DEFAULT NULL,
  `detail_excerpt` text,
  `detail_content` longtext,
  `detail_ai` longtext,
  `detail_status` varchar(20) DEFAULT 'normal',
  `detail_weight` int(11) DEFAULT '0',
  `detail_score` int(11) DEFAULT '0',
  `detail_line` smallint(6) NOT NULL DEFAULT '0',
  `detail_like` int(11) NOT NULL DEFAULT '0',
  `detail_hate` int(11) NOT NULL DEFAULT '0',
  `detail_view` bigint(20) DEFAULT '0',
  `detail_hit` bigint(20) DEFAULT '0',
  `detail_parent` bigint(20) DEFAULT '0',
  `detail_user` bigint(20) DEFAULT '0',
  `detail_top` tinyint(1) NOT NULL DEFAULT '0',
  `detail_recommend` tinyint(1) NOT NULL DEFAULT '0',
  `detail_referer` varchar(250) DEFAULT NULL,
  `detail_tpl` varchar(150) DEFAULT NULL,
  `detail_letter` varchar(10) NOT NULL DEFAULT '0',
  `detail_password` varchar(250) DEFAULT NULL,
  `detail_create_time` int(11) DEFAULT '0',
  `detail_update_time` int(11) DEFAULT '0',
  `detail_title` varchar(250) DEFAULT NULL,
  `detail_keywords` varchar(250) DEFAULT NULL,
  `detail_description` varchar(250) DEFAULT NULL,
  `detail_extend` longtext
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_link`
--
DROP TABLE IF EXISTS `PREFIX_link`;
CREATE TABLE `PREFIX_link` (
  `link_id` smallint(6) UNSIGNED NOT NULL,
  `link_name` varchar(250) NOT NULL,
  `link_url` varchar(250) DEFAULT NULL,
  `link_info` varchar(250) DEFAULT NULL,
  `link_logo` varchar(250) DEFAULT NULL,
  `link_weight` smallint(6) NOT NULL DEFAULT '1',
  `link_status` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_menu`
--
DROP TABLE IF EXISTS `PREFIX_menu`;
CREATE TABLE `PREFIX_menu` (
  `menu_id` int(11) NOT NULL,
  `menu_module` varchar(60) DEFAULT 'blog',
  `menu_name` varchar(250) DEFAULT NULL,
  `menu_url` varchar(250) DEFAULT NULL,
  `menu_info` text,
  `menu_image` varchar(255) DEFAULT NULL,
  `menu_icon` varchar(255) DEFAULT NULL,
  `menu_parent` int(11) NOT NULL DEFAULT '0',
  `menu_status` varchar(20) DEFAULT 'normal',
  `menu_weight` int(11) DEFAULT '0',
  `menu_group` tinyint(2) NOT NULL DEFAULT '0',
  `menu_target` varchar(100) DEFAULT '_self',
  `menu_active` varchar(150) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_tag`
--
DROP TABLE IF EXISTS `PREFIX_tag`;
CREATE TABLE `PREFIX_tag` (
  `tag_id` bigint(20) NOT NULL,
  `tag_module` varchar(60) DEFAULT 'blog',
  `tag_name` varchar(250) DEFAULT NULL,
  `tag_slug` varchar(250) DEFAULT NULL,
  `tag_excerpt` text,
  `tag_cover` varchar(255) DEFAULT NULL,
  `tag_slide` varchar(255) DEFAULT NULL,
  `tag_status` varchar(20) DEFAULT 'normal',
  `tag_weight` int(11) NOT NULL DEFAULT '0',
  `tag_count` int(11) NOT NULL DEFAULT '0',
  `tag_menu` tinyint(2) NOT NULL DEFAULT '0',
  `tag_limit` mediumint(8) NOT NULL DEFAULT '10',
  `tag_tpl` varchar(100) NOT NULL DEFAULT 'index',
  `tag_title` varchar(250) DEFAULT NULL,
  `tag_keywords` varchar(250) DEFAULT NULL,
  `tag_description` varchar(250) DEFAULT NULL,
  `tag_extend` longtext
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_tag_map`
--
DROP TABLE IF EXISTS `PREFIX_tag_map`;
CREATE TABLE `PREFIX_tag_map` (
  `tag_mp_id` bigint(20) NOT NULL,
  `tag_mp_weight` int(20) DEFAULT '0',
  `tag_mp_tid` bigint(20) DEFAULT '0',
  `tag_mp_did` bigint(20) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_type`
--
DROP TABLE IF EXISTS `PREFIX_type`;
CREATE TABLE `PREFIX_type` (
  `type_id` int(11) NOT NULL,
  `type_module` varchar(60) DEFAULT 'blog',
  `type_name` varchar(250) DEFAULT NULL,
  `type_slug` varchar(250) DEFAULT NULL,
  `type_excerpt` text,
  `type_cover` varchar(255) DEFAULT NULL,
  `type_slide` varchar(255) DEFAULT NULL,
  `type_parent` int(11) NOT NULL DEFAULT '0',
  `type_status` varchar(20) DEFAULT 'normal',
  `type_weight` int(11) DEFAULT '0',
  `type_count` int(11) NOT NULL DEFAULT '0',
  `type_menu` tinyint(2) NOT NULL DEFAULT '0',
  `type_limit` mediumint(8) NOT NULL DEFAULT '10',
  `type_tpl` varchar(100) NOT NULL DEFAULT 'index',
  `type_tpl_detail` varchar(100) NOT NULL DEFAULT 'index',
  `type_title` varchar(250) DEFAULT NULL,
  `type_keywords` varchar(250) DEFAULT NULL,
  `type_description` varchar(250) DEFAULT NULL,
  `type_extend` longtext
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_type_map`
--
DROP TABLE IF EXISTS `PREFIX_type_map`;
CREATE TABLE `PREFIX_type_map` (
  `type_mp_id` bigint(20) NOT NULL,
  `type_mp_tid` bigint(20) DEFAULT '0',
  `type_mp_did` bigint(20) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- 表的结构 `PREFIX_user`
--
DROP TABLE IF EXISTS `PREFIX_user`;
CREATE TABLE `PREFIX_user` (
  `user_id` bigint(20) NOT NULL,
  `user_pid` int(20) NOT NULL DEFAULT '0',
  `user_name` varchar(250) DEFAULT NULL,
  `user_mobile` varchar(11) DEFAULT '0',
  `user_email` varchar(250) DEFAULT NULL,
  `user_pass` varchar(32) NOT NULL,
  `user_score` bigint(20) NOT NULL DEFAULT '0',
  `user_token` varchar(50) DEFAULT NULL,
  `user_expire` int(11) NOT NULL DEFAULT '0',
  `user_status` varchar(50) NOT NULL DEFAULT 'normal',
  `user_view` bigint(20) DEFAULT '0',
  `user_roles` text DEFAULT NULL,
  `user_caps` text DEFAULT NULL,
  `user_create_ip` varchar(32) DEFAULT NULL,
  `user_update_ip` varchar(32) DEFAULT NULL,
  `user_create_time` int(11) DEFAULT '0',
  `user_update_time` int(11) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8mb4;

--
-- 转储表的索引
--

--
-- 表的索引 `PREFIX_detail`
--
ALTER TABLE `PREFIX_detail`
  ADD PRIMARY KEY (`detail_id`),
  ADD KEY `detail_module` (`detail_module`),
  ADD KEY `detail_controll` (`detail_controll`),
  ADD KEY `detail_status` (`detail_status`);

--
-- 表的索引 `PREFIX_link`
--
ALTER TABLE `PREFIX_link`
  ADD PRIMARY KEY (`link_id`);

--
-- 表的索引 `PREFIX_menu`
--
ALTER TABLE `PREFIX_menu`
  ADD PRIMARY KEY (`menu_id`);

--
-- 表的索引 `PREFIX_tag`
--
ALTER TABLE `PREFIX_tag`
  ADD PRIMARY KEY (`tag_id`),
  ADD KEY `tag_status` (`tag_status`),
  ADD KEY `tag_module` (`tag_module`);

--
-- 表的索引 `PREFIX_tag_map`
--
ALTER TABLE `PREFIX_tag_map`
  ADD PRIMARY KEY (`tag_mp_id`),
  ADD KEY `tag_mp_tid` (`tag_mp_tid`);

--
-- 表的索引 `PREFIX_type`
--
ALTER TABLE `PREFIX_type`
  ADD PRIMARY KEY (`type_id`),
  ADD KEY `type_status` (`type_status`),
  ADD KEY `type_module` (`type_module`);

--
-- 表的索引 `PREFIX_type_map`
--
ALTER TABLE `PREFIX_type_map`
  ADD PRIMARY KEY (`type_mp_id`),
  ADD KEY `type_mp_tid` (`type_mp_tid`);

--
-- 表的索引 `PREFIX_user`
--
ALTER TABLE `PREFIX_user`
  ADD PRIMARY KEY (`user_id`),
  ADD KEY `user_mobile` (`user_mobile`),
  ADD KEY `user_email` (`user_email`);

--
-- 在导出的表使用AUTO_INCREMENT
--

--
-- 使用表AUTO_INCREMENT `PREFIX_detail`
--
ALTER TABLE `PREFIX_detail`
  MODIFY `detail_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_link`
--
ALTER TABLE `PREFIX_link`
  MODIFY `link_id` smallint(6) UNSIGNED NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_menu`
--
ALTER TABLE `PREFIX_menu`
  MODIFY `menu_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_tag`
--
ALTER TABLE `PREFIX_tag`
  MODIFY `tag_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_tag_map`
--
ALTER TABLE `PREFIX_tag_map`
  MODIFY `tag_mp_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_type`
--
ALTER TABLE `PREFIX_type`
  MODIFY `type_id` int(11) NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_type_map`
--
ALTER TABLE `PREFIX_type_map`
  MODIFY `type_mp_id` bigint(20) NOT NULL AUTO_INCREMENT;

--
-- 使用表AUTO_INCREMENT `PREFIX_user`
--
ALTER TABLE `PREFIX_user`
  MODIFY `user_id` bigint(20) NOT NULL AUTO_INCREMENT;
COMMIT;

--
-- 转存表中的数据 `detail`
--
INSERT INTO `PREFIX_detail` (`detail_id`, `detail_module`, `detail_controll`, `detail_name`, `detail_slug`, `detail_cover`, `detail_slide`, `detail_excerpt`, `detail_content`, `detail_status`, `detail_weight`, `detail_score`, `detail_line`, `detail_like`, `detail_hate`, `detail_view`, `detail_hit`, `detail_parent`, `detail_user`, `detail_top`, `detail_recommend`, `detail_referer`, `detail_tpl`, `detail_letter`, `detail_password`, `detail_create_time`, `detail_update_time`, `detail_title`, `detail_keywords`, `detail_description`, `detail_extend`) VALUES
(1, 'blog', 'index', '欢迎使用飞飞文章管理系统', 'hysyxfwzglxt', '', '', '欢迎使用飞飞文章管理系统，此文档为飞飞文章管理系统编辑器的演示，使用MarkDown语法。这里的摘录可以自定义也可以根据文档内容自动提取前140字。', '> 欢迎使用飞飞文章管理系统，此文档为飞飞文章管理系统编辑器的演示，使用MarkDown语法，支持图片与附件上传。这里的摘录可以自定义也可以根据文档内容自动提取前140字。\r\n\r\n# 标题1\r\n## 标题2\r\n### 标题3\r\n#### 标题4\r\n##### 标题5\r\n**粗体**\r\n_强调_\r\n[超链接演示](https://www.feifeicms.org)\r\n\r\n**无序列表演示**\r\n- 这里是列表文本1\r\n- 这里是列表文本2\r\n- 这里是列表文本3\r\n- 这里是列表文本4\r\n- 这里是列表文本5\r\n\r\n**有序列表演示**\r\n1. 这里是列表文本1\r\n2. 这里是列表文本2\r\n3. 这里是列表文本3\r\n4. 这里是列表文本4\r\n5. 这里是列表文本5\r\n\r\n**插入代码演示**\r\n```\r\n<php\r\necho \"hello world!\";\r\n?>\r\n```', 'normal', 1, 0, 0, 0, 0, 18, 0, 0, 1, 0, 0, '', '', 'h', NULL, 1719735935, 1719736364, '', '', '', NULL);

--
-- 转存表中的数据 `link`
--
INSERT INTO `PREFIX_link` (`link_id`, `link_name`, `link_url`, `link_info`, `link_logo`, `link_weight`, `link_status`) VALUES
(1, '飞飞文章管理系统', 'https://www.feifeicms.org', '飞飞文章管理系统官网', '', 1, 1),
(2, '幸福文章管理系统', 'https://www.gxcms.com', '幸福文章管理系统官网', '', 2, 1);

--
-- 转存表中的数据 `menu`
--
INSERT INTO `PREFIX_menu` (`menu_id`, `menu_module`, `menu_name`, `menu_url`, `menu_info`, `menu_image`, `menu_icon`, `menu_parent`, `menu_status`, `menu_weight`, `menu_group`, `menu_target`, `menu_active`) VALUES
(1, 'blog', '搜索', 'blog/search/index', '', '', 'bi-search', 0, 'normal', 1, 1, '_self', 'blogsearchindex'),
(3, 'blog', '标签', 'blog/tags/index', '', '', 'bi-tags', 0, 'normal', 3, 1, '_self', 'blogtagsindex'),
(4, 'blog', '分类', 'blog/types/index', '', '', 'bi-list', 0, 'normal', 4, 1, '_self', 'blogtypesindex'),
(5, 'blog', '首页', 'blog/index/index', '', '', 'bi-house', 0, 'normal', 5, 1, '_self', 'blogindexindex');

--
-- 转存表中的数据 `tag`
--
INSERT INTO `PREFIX_tag` (`tag_id`, `tag_module`, `tag_name`, `tag_slug`, `tag_excerpt`, `tag_cover`, `tag_slide`, `tag_status`, `tag_weight`, `tag_count`, `tag_menu`, `tag_limit`, `tag_tpl`, `tag_title`, `tag_keywords`, `tag_description`, `tag_extend`) VALUES
(1, 'blog', '标签1', 'biaoqian1', '我是第一个标签的演示，可以通过后台文章系统标签管理进行修改。', '', '', 'normal', 1, 0, 0, 0, '', '', '', '', NULL),
(2, 'blog', '标签2', 'biaoqian2', '我是第二个标签的演示，可以通过后台文章系统标签管理进行修改。', '', '', 'normal', 1, 0, 0, 0, '', '', '', '', NULL),
(3, 'blog', '标签3', 'biaoqian3', '我是第三个标签的演示，可以通过后台文章系统标签管理进行修改。', '', '', 'normal', 1, 0, 0, 0, '', '', '', '', NULL),
(4, 'blog', '标签4', 'biaoqian4', '我是第四个标签的演示，可以通过后台文章系统标签管理进行修改。', '', '', 'normal', 1, 0, 0, 0, '', '', '', '', NULL),
(5, 'blog', '标签5', 'biaoqian5', '我是第五个标签的演示，可以通过后台文章系统标签管理进行修改。', '', '', 'normal', 1, 0, 0, 0, '', '', '', '', NULL);

--
-- 转存表中的数据 `tag_map`
--
INSERT INTO `PREFIX_tag_map` (`tag_mp_id`, `tag_mp_weight`, `tag_mp_tid`, `tag_mp_did`) VALUES
(1, 0, 1, 1),
(2, 0, 2, 1),
(3, 0, 3, 1),
(4, 0, 4, 1),
(5, 0, 5, 1);

--
-- 转存表中的数据 `type`
--
INSERT INTO `PREFIX_type` (`type_id`, `type_module`, `type_name`, `type_slug`, `type_excerpt`, `type_cover`, `type_slide`, `type_parent`, `type_status`, `type_weight`, `type_count`, `type_menu`, `type_limit`, `type_tpl`, `type_tpl_detail`, `type_title`, `type_keywords`, `type_description`, `type_extend`) VALUES
(1, 'blog', '分类1', 'fenlei1', '分类1的描述信息可以能过后台文章系统分类管理找到对应名称进行修改。', '', '', 0, 'normal', 6, 0, 1, 0, '', '', '', '', '', NULL),
(2, 'blog', '分类2', 'fenlei2', '分类2的描述信息可以能过后台文章系统分类管理找到对应名称进行修改。', '', '', 0, 'normal', 4, 0, 1, 0, '', '', '', '', '', NULL),
(3, 'blog', '分类3', 'fenlei3', '分类3的描述信息可以能过后台文章系统分类管理找到对应名称进行修改。', '', '', 0, 'normal', 5, 0, 1, 0, '', '', '', '', '', NULL),
(4, 'blog', '分类4', 'fenlei4', '分类4的描述信息可以能过后台文章系统分类管理找到对应名称进行修改。', '', '', 0, 'normal', 2, 0, 1, 0, '', '', '', '', '', NULL),
(5, 'blog', '分类5', 'fenlei5', '分类5的描述信息可以能过后台文章系统分类管理找到对应名称进行修改。', '', '', 0, 'normal', 3, 0, 1, 0, '', '', '', '', '', NULL),
(6, 'blog', '分类6', 'fenlei6', '分类6为二级分类演示，可以能过后台文章系统分类管理找到对应名称进行修改。。', '', '', 0, 'normal', 1, 0, 1, 0, '', '', '', '', '', NULL),
(7, 'blog', '子类1', 'zilei1', '我是分类6下面的第1个子类', '', '', 6, 'normal', 7, 0, 1, 0, '', '', '', '', '', NULL),
(8, 'blog', '子类2', 'zilei2', '我是分类6下面的第2个子类', '', '', 6, 'normal', 8, 0, 1, 0, '', '', '', '', '', NULL),
(9, 'blog', '子类3', 'zilei3', '我是分类6下面的第3个子类', '', '', 6, 'normal', 9, 0, 1, 0, '', '', '', '', '', NULL),
(10, 'blog', '子类4', 'zilei4', '我是分类6下面的第4个子类', '', '', 6, 'normal', 10, 0, 1, 0, '', '', '', '', '', NULL),
(11, 'blog', '子类5', 'zilei5', '我是分类6下面的第5个子类', '', '', 6, 'normal', 11, 0, 1, 0, '', '', '', '', '', NULL);

--
-- 转存表中的数据 `type_map`
--
INSERT INTO `PREFIX_type_map` (`type_mp_id`, `type_mp_tid`, `type_mp_did`) VALUES
(1, 7, 1),
(2, 6, 1),
(3, 4, 1),
(4, 5, 1),
(5, 2, 1),
(6, 3, 1),
(7, 1, 1);

--
-- 转存表中的数据 `user`
--
INSERT INTO `PREFIX_user` (`user_id`, `user_pid`, `user_name`, `user_mobile`, `user_email`, `user_pass`, `user_score`, `user_token`, `user_expire`, `user_status`, `user_roles`, `user_caps`, `user_create_time`, `user_update_time`, `user_create_ip`, `user_update_ip`, `user_view`) VALUES
(1, 0, 'admin', '13800138000', 'admin@qq.com', '7fef6171469e80d32c0559f88b377245', 0, '0376ed83f25e756d89b4bdca85059044', 1699434635, 'normal', '[\"admin\"]', '[\"\"]', 1680165189, 1680165189, '127.0.0.1', '127.0.0.1', 0);